概述

Bluno M3 硬件版本V2.1是在arduino IDE 1.5.5上开发的,而arduino IDE 1.5.5本身不支持cortex-M3内核的编译,因此我们自己移植了能够编译cortex-M3指令的编译器到arduino IDE1.5.5。但是最近arduino IDE更新到1.6.5版本后,它自带了能够编译cortex-M3指令的编译器。所以为了让Bluno M3更原生态的兼容arduino。我们做了大量工作后,最终实现了这个目标。下面我们将会一步步地演示如何让arduino IDE 1.6.5及其以上版本如何支持Bluno M3。

warning_yellow.png
注意:此教程仅用于Bluno M3 V2.2 及以上硬件版本,包含Romeo BLE Quad

Bluno M3 V2.2 安装开发环境

https://raw.githubusercontent.com/DFRobot/DFRobotDuinoBoard/master/package_dfrobot_m3_index.json

找到Bluno M3开发板

安装Bluno M3 MainBoard开发板

至此,您的Arduino IDE开发环境就已经搭建好了,您可以像正常的Arduino板一样开发这块板子了。

IDE_M3_Mainboard.png

相关参考文件

疑难解答

问: 之前V2.1的版本能够正常工作,但V2.2无法在IDE下编译
答: 旧版的安装路径会影响新版本,请找到C:\Users\Your Name\Documents\Arduino\hardware\DFRobot\STM32文件夹,然后点击删除“STM32”文件夹,应该就能就能解决问题。

更多问题及有趣的应用,可以 访问论坛 进行查阅或发帖!